require("technoduck.set")
require("technoduck.remap")
require("technoduck.lazy_config")

local augroup = vim.api.nvim_create_augroup
local defaultgroup = augroup('default', {})

local autocmd = vim.api.nvim_create_autocmd

autocmd('LspAttach', {
    group = defaultgroup,
    callback = function(ev)
        local opts = { buffer = ev.buff }
        vim.keymap.set("n", "gd", function() vim.lsp.buf.definition() end, opts)
        vim.keymap.set("n", "K", function() vim.lsp.buf.hover() end, opts)
        vim.keymap.set("n", "<leader>vws", function() vim.lsp.buf.workspace_symbol() end, opts)
        vim.keymap.set("n", "<leader>vd", function() vim.diagnostic.open_float() end, opts)
        vim.keymap.set("n", "<leader>vca", function() vim.lsp.buf.code_action() end, opts)
        vim.keymap.set("n", "<leader>vcf", function() vim.lsp.buf.format({ async = true }) end, opts)
        vim.keymap.set("n", "<leader>vrr", function() vim.lsp.buf.code_references() end, opts)
        vim.keymap.set("n", "<leader>vrn", function() vim.lsp.buf.rename() end, opts)
        vim.keymap.set("i", "<C-h>", function() vim.lsp.buf.signature_help() end, opts)
    end
})

vim.g.netrw_browse_split = 0
vim.g.netrw_winsize = 25
