local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
    vim.fn.system({
        "git",
        "clone",
        "--filter=blob:none",
        "https://github.com/folke/lazy.nvim.git",
        "--branch=stable", -- latest stable release
        lazypath,
    })
end
vim.opt.rtp:prepend(lazypath)

require("lazy").setup({
    spec = "technoduck.lazy_plugins",
    change_detection = { notify = false },
    rocks = {enabled = false}
})

--[[
{



use {
  'VonHeikemen/lsp-zero.nvim',
  branch = 'v2.x',
  requires = {
    -- LSP Support
    {'neovim/nvim-lspconfig'},             -- Required
    {'williamboman/mason.nvim'},           -- Optional
    {'williamboman/mason-lspconfig.nvim'}, -- Optional


    {'hrsh7th/cmp-buffer'},
    {'hrsh7th/cmp-path'},
    {'hrsh7th/cmp-cmdline'},

    -- Autocompletion
    {'hrsh7th/nvim-cmp'},     -- Required
    {'hrsh7th/cmp-nvim-lsp'}, -- Required
    {'hrsh7th/cmp-nvim-lsp-signature-help'},
    {'L3MON4D3/LuaSnip',
    run = "make install_jsregexp",
requires = { 'rafamadriz/friendly-snippets' }},     -- Required
    {'saadparwaiz1/cmp_luasnip'},

    { 'dcampos/nvim-snippy'},
    { 'dcampos/cmp-snippy'},

  }
}

use {'simrat39/rust-tools.nvim'}
use { 'nvim-lua/lsp-status.nvim' }

use 'nvim-tree/nvim-web-devicons'
use {
  'nvim-lualine/lualine.nvim',
  requires = { 'nvim-tree/nvim-web-devicons', opt = true }
}


}
)
--]]
